Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts
Class PortletTilesRequestProcessor

    java.lang.Object
      org.apache.struts.action.RequestProcessor
          org.apache.struts.tiles.TilesRequestProcessor
              org.apache.portals.bridges.struts.PortletTilesRequestProcessor

public class PortletTilesRequestProcessor
extends org.apache.struts.tiles.TilesRequestProcessor

PortletTilesRequestProcessor

Version:
  $Id: PortletTilesRequestProcessor.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma

Field Summary

Fields inherited from class org.apache.struts.tiles.TilesRequestProcessor
`definitionsFactory, log`

Fields inherited from class org.apache.struts.action.RequestProcessor
`actions, INCLUDE_PATH_INFO, INCLUDE_SERVLET_PATH, moduleConfig, servlet`

Constructor Summary
`PortletTilesRequestProcessor()`

Method Summary
`void` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected boolean` | `processRoles(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.struts.action.ActionMapping mapping)`

Methods inherited from class org.apache.struts.tiles.TilesRequestProcessor
`doForward, getDefinitionsFactory, init, initDefinitionsMapping, internalModuleRelativeForward, internalModuleRelativeInclude, processForwardConfig, processTilesDefinition`

Methods inherited from class org.apache.struts.action.RequestProcessor
`destroy, doInclude, getInternal, getServletContext, log, log, processActionCreate, processActionForm, processActionPerform, processCachedMessages, processContent, processException, processForward, processInclude, processLocale, processMapping, processMultipart, processNoCache, processPath, processPopulate, processPreprocess, processValidate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletTilesRequestProcessor

    public PortletTilesRequestProcessor()

Method Detail

### process

    public void process(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws IOException,
                        javax.servlet.ServletException

  Throws:
    `IOException`
    `javax.servlet.ServletException`

### processRoles

    protected boolean processRoles(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response,
                                   org.apache.struts.action.ActionMapping mapping)
                            throws IOException,
                                   javax.servlet.ServletException

  Throws:
    `IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.